Package ru.bitel.bgbilling.kernel.admin.webmenu.server.bean

# Class MenuItem

java.lang.Object
ru.bitel.bgbilling.kernel.admin.webmenu.server.bean.MenuItem

    public class MenuItem
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MenuItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.lang.String` | `getCssClass()` |
  `java.lang.String` | `getDefaultMenu()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getIcon()` |
  `int` | `getId()` |
  `java.lang.String` | `getModule()` |
  `int` | `getModuleId()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setAction​(java.lang.String action)` |
  `void` | `setCssClass​(java.lang.String cssClass)` |
  `void` | `setDefaultMenu​(java.lang.String defaultMenu)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setIcon​(java.lang.String icon)` |
  `void` | `setId​(int id)` |
  `void` | `setModule​(java.lang.String module)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setTitle​(java.lang.String title)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MenuItem

    public MenuItem()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getModule

    public java.lang.String getModule()

  - ### setModule

    public void setModule​(java.lang.String module)

  - ### getAction

    public java.lang.String getAction()

  - ### setAction

    public void setAction​(java.lang.String action)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getDefaultMenu

    public java.lang.String getDefaultMenu()

  - ### setDefaultMenu

    public void setDefaultMenu​(java.lang.String defaultMenu)

  - ### getIcon

    public java.lang.String getIcon()

  - ### setIcon

    public void setIcon​(java.lang.String icon)

  - ### getCssClass

    public java.lang.String getCssClass()

  - ### setCssClass

    public void setCssClass​(java.lang.String cssClass)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`